Skip to main content
`Ctrl`+`K`

# TaoSetJacobianDesignRoutine

Sets the function to compute the Jacobian of the constraint function with respect to the design variables. Used only for PDE-constrained optimization.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetJacobianDesignRoutine(Tao tao, Mat J, PetscErrorCode (*func)(Tao tao, Vec x, Mat J, void *ctx), void *ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- J - Matrix used for the Jacobian

- func - Jacobian evaluation routine

- ctx - [optional] user-defined context for private data for the Jacobian evaluation routine (may be `NULL`)

## Calling sequence of `func`

- tao - the `Tao` context

- x - input vector

- J - Jacobian matrix

- ctx - [optional] user-defined Jacobian context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeJacobianDesign()`, `TaoSetJacobianStateRoutine()`, `TaoSetStateDesignIS()`

## Level

intermediate

## Location

src/tao/interface/taosolver_hj.c

## Examples

src/tao/pde_constrained/tutorials/hyperbolic.c
src/tao/pde_constrained/tutorials/parabolic.c
src/tao/pde_constrained/tutorials/elliptic.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages